Class ChildrenRequestBuilder
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\groups{group-id}\children
public class ChildrenRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderChildrenRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
ChildrenRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new ChildrenRequestBuilder and sets the default values.
public ChildrenRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
ChildrenRequestBuilder(string, IRequestAdapter)
Instantiates a new ChildrenRequestBuilder and sets the default values.
public ChildrenRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Methods
GetAsync(Action<RequestConfiguration<ChildrenRequestBuilderGetQueryParameters>>?, CancellationToken)
Return a paginated list of subgroups that have a parent group corresponding to the group on the URL
public Task<List<GroupRepresentation>?> GetAsync(Action<RequestConfiguration<ChildrenRequestBuilder.ChildrenRequestBuilderGetQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<ChildrenRequestBuilder.ChildrenRequestBuilderGetQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
- Task<List<GroupRepresentation>>
A List<global::Keycloak.AuthServices.Sdk.Kiota.Admin.Models.GroupRepresentation>
PostAsync(GroupRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
This will just set the parent if it exists. Create it and set the parent if the group doesn’t exist.
public Task PostAsync(GroupRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
bodyGroupRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
ToGetRequestInformation(Action<RequestConfiguration<ChildrenRequestBuilderGetQueryParameters>>?)
Return a paginated list of subgroups that have a parent group corresponding to the group on the URL
public RequestInformation ToGetRequestInformation(Action<RequestConfiguration<ChildrenRequestBuilder.ChildrenRequestBuilderGetQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<ChildrenRequestBuilder.ChildrenRequestBuilderGetQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
ToPostRequestInformation(GroupRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?)
This will just set the parent if it exists. Create it and set the parent if the group doesn’t exist.
public RequestInformation ToPostRequestInformation(GroupRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
bodyGroupRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public ChildrenRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.